Tuesday, December 21, 2010

Episode 116 of RFC

The Christmas Show That Almost Wasn’t

December 21, 2010 by rudy panucci
Up at the top of this post you see Radio Free Charleston’s 116th episode, “Christmas With CYAC.”  This was almost the year without an RFC Christmas show, but after a production schedule bedeviled by weather woes and other intrusions of life, I decided to call an audible.

The original plan was that this episode of the show would feature songs from two local favorites, plus a song or two from the CYAC production of the original rock opera, “Mary.” with everything being tied together with host segments shot the Monday before Christmas while caroling with Dan and Penny Kehde and the gang from CYAC.

The taping for the other songs didn’t happen (through no fault of the artists) and I was left with the possibility of skipping the holiday show this year, when it occurred to me that I could record some of the Christmas carols, toss in some of the tunes from “Mary” and snatch victory from the jaws of defeat.
And so I did. Many thanks to Dan and Penny and all the good and talented folk of The Contemporary Youth Arts Companyand the many drivers who didn’t mow us down, “Death Race 2000″ style when they had the chance. Without these folks coming to the rescue, we would not have had a holiday show this year.

That’s pretty much all we have to say about this special episode of Radio Free Charleston. Check PopCult on Thursday for a special preview of the Holiday ArtWalk. Oh…be sure to stick around for the whole show. You’ll get a very special Christmas treat, some would even say it’s a “Blizzard.”

Wednesday, December 15, 2010

Episode 115 of RFC

A Pre-Winter Blast Of Cool Music

December 15, 2010 by rudy panucci
Radio Free Charleston 115, “Frank Sinatra Sbirt” is the video you see right up there above this text.  This episode features a wide variety of music: a Metal classic by HARRAH, a Progressive-Alternative jolt from Linfinity, an operatic waltz from Hellblinki, Blues from Crossroads and a great rocked-up ballad from The Nanker Phelge.

It was so cold that the horse behind me became a gelding
Host segments were shot in Davis Park during lunch on Tuesday, and were recorded in record time due to the bitter cold.  The namesake shirt for this installment is aFrank Sinatra T-shirt that I pulled out to wear in honor of what would have been the 95th birthday of The Chairman of the Board earlier this week.

Sunday, November 14, 2010

Episode 114 of RFC

Sunday Evening Video: RFC 114!

November 14, 2010 by rudy panucci
This week we’re combining two of our regular PopCult features into one. Above, you see the latest episode of Radio Free Charleston, “Flash Photography Shirt.”  The wide-ranging music on this show comes from Andrea Anderson, The Dad Horse Experience, and Shayla Leftridge-Bonds.  Our animation is Frank Panucci’s very first animated film.  We also have some Super Fancy Dancing.

Host segments were shot on the grounds of the State Capitol, after we considered shooting at Yeager Airport without permission, then thought better of that idea. Evidently last Saturday was “Take Your Screaming Baby To The Capitol” day, and also over at Laidley Field they were having a special Mumble Incoherently Over The Public Adress System Tournament. So it was a bit of a challenging shoot.  But we did get our host segments recorded and the show was uploaded a mere eight hours after the hosting adventure.

Wednesday, October 27, 2010

Episode 113 of RFC

“Jazz From Hell” In The Halloween RFC

October 27, 2010 by rudy panucci

Chelsea Cook as "Rose Kendrick"
Above you see episode 113 of Radio Free Charleston, “Jazz From Hell Preview.”  This is our Halloween special, and it’s quite a departure. It’s also quite a bit less than I’d originally planned.

Last July I got the idea to bring back Count Rudolph and Celeste, The Zombie Supermodel for our Halloween show this year. That’s me and my imaginary daughter, Chelsea Cook, if you didn’t watch RFC 54 and 55 back in 2008.  I thought that, instead of showing music videos, we’d actually interrupt a cheesy horror movie this year.

Wednesday, October 13, 2010

Episode 112 of RFC

RFC 112: Great New Bands And Movie Trailers!

October 13, 2010 by rudy panucci
Radio Free Charelston 112, “Toxic Soup Shirt” is online now, and you should see it right above this text!  We have three bands making their RFC debut–Crossroads, Doctor Curmudgeon and Happy Minor.  We also have a movie trailer for the documentary, “Toxic Soup,” and one for “Jazz From Hell,” about which you will read later.

“Toxic Soup” also provided the shirt I wear in this episode.  Host segments were shot in the Davis Fine Arts building at West Virginia State University, and it was a cool setting, and my old stomping grounds.  People were acting like something unusual was going on, but I didn’t notice anything. Big thanks to Stefani Andrews for making her debut as an RFC crew member.

Friday, September 24, 2010

Episode 111 of RFC

RFC 111


September 24, 2010 by rudy panucci

We’re doing something a little different this week. We are debuting a new episode of Radio Free Charleston on a Friday. You can see it right below this block of text. The show this week features music from Andy Park, Stephen Beckner and Stone Soup, plus some offbeat animation and a public service announcement for Covenant House that starsAnn Magnuson.

Most of this episode was shot at The Empty Glass on Thursday, September 16, during a benefit for Empty Glass Records, a project that will allow Charleston’s most celebrated bar to install recording equipment so that they can preserve the magic moments that happen there on a regular basis.

Watch the show, then follow the jump to read all about it, and also check in with a music-packed weekend here in town.

Tuesday, September 21, 2010

Episode 110 of RFC

Would You Believe Another FestivAll Episode Of Radio Free Charleston?

September 21, 2010 by rudy panucci
Flashback to last summer with part seven of oursix-part coverage of FestivAll 2010. This show brings you more music from Brian Diller and The Velvet Gypsies, plus extra music from Craig D’Andrea and Ron Sowell, and footage of the balloon sculptures at The Charleston Town Center.

We had some great material that didn’t quite fit into our six-part extravaganza last summer, so we went back to the well one more time.  Host segments were shot at the same time as the host bits for episode 107, back in July. Now that the heat of summer is passed, we can sit back and enjoy the music.

You’ll find a couple of extra photos after the jump.

Sunday, August 22, 2010

Episode 109 of RFC

RFC 109: Yet Another Show Without Words

August 24, 2010 by rudy panucci
At the head of this post you see the latest episode of Radio Free Charleston.  This is our third “show without words,” where we showcase instrumental music and films and animation without dialogue.

Our music this time comes fromDavid Synn and D.T. Stephenson, who coincidentally teamed up to form the band after they agreed to became part of this show.  You can look for thier new join project, Frequency Down, playing at local venues soon, and on RFC in the future.  We also have RFC faves, Blue Million, ripping through an instrumental blues jam during a sound check at Bruno’s last May.

Our animation comes courtesy of Frank Panucci and we also feature the oldest surviving Plant Ro Duction Mini Movie. We also get a quick, photographic tour of LiveMix Studio, our longtime production partner.

Wednesday, August 4, 2010

Episode 108 of RFC


RFC 108 "To The Batmobile Shirt" from Rudy Panucci on Vimeo.

RFC 108: Back To Whatever Passes For “Normal”

August 4, 2010 by rudy panucci

Above you see the bright, shiny new episode of Radio Free Charleston.  This is our first “normal” show since before our big six-episode foray into the wonders of FestivAll.  This episode, “To The Batmobile Shirt,” features music from InFormation,Volt 9000 and The AK40 Sexuals.  We also have short films from K.D. Lett and Scott Elkins.


Rudy at the mall, not sweating.
Host segments were shot last Saturday at The Charleston Town Center because IT’S TOO FREAKING HOT TO SHOOT HOST SEGMENTS OUTSIDE! One segment had to be re-shot at Stately Radio Free Charleston manor just hours before the show was posted due to a technical glitch.  Check out the cool stuff behind me in the intro to the song by InFormation.

Thursday, July 8, 2010

Episode 107 of RFC


RFC 107 "FestivAll 2010 part six" from Rudy Panucci on Vimeo.

Part Six Of RFC’s FestivAll Coverage Is Here!

July 8, 2010 by rudy panucci
Above you see the final installment of Radio Free Charleston’s extensive coverage of FestivAll 2010.  Even though our coverage was extensive, we still barely scratched the surface of all the cool stuff that was going on during the time when our city becomes a work of art.
In RFC 107 you will see Option 22, Brian Diller, Bare Bones and The Velvet Gypsies. You’ll also get glimpses of Jude Binder, Kitty Killton and the Musical Easels project with Adrian DeQuiros.

With this episode of the show, which coincidentally goes online roughly on the fourth anniversary of Radio Free Charleston, we have managed to bring you over two hours of footage, shot entirely at FestivAll, in the span of seventeen days.  That’s just better than a new show every three days that we’ve posted.

A special PopCulteer with full production notes for these six episodes will be posted this weekend here in PopCult.  A totally unrelated-to-FestivAll bonus video will be posted here Friday, featuring a new band that will explode on the scene Saturday night.